'user strict';

var xSelector = function (selector) {
    return {
        selector: selector,
        locateStrategy: 'xpath'
    }
};

var canvassLayoutCommand= {
    clickLocalizeMusic: function(callback) {
        this.api.pause(1000);
        return this.click('@localizeMusic', callback);
    },
    clickAddSheet: function(callback) {
        this.api.pause(1000);
        return this.click('@addSheet', callback);
    },
    clickAddSheetBtn: function(callback) {
        this.api.pause(1000);
        return this.click('@addSheetBtn', callback);
    },
    clickAddNote: function(callback) {
        this.api.pause(1000);
        return this.click('@addNote', callback);
    },
    clickAddNoteOkBtn: function(callback) {
        this.api.pause(1000);
        return this.click('@addNoteOk', callback);
    },
    clickClearBtn: function (callback) {
        this.api.pause(1000);
        return this.click('@clearBtn', callback);
    }
};

module.exports = {
    commands: [canvassLayoutCommand],
    elements: {
        inputSearch: xSelector('//*[@id="nodelistSearch"]/input'),
        localizeMusic: xSelector('//*[@id="flatNodelist"]/li[1]'),
        localizeMusicNode: xSelector('//*[@id="node_LocalizeMUSIC_1"]'),
        localizeMusicNodeId: xSelector('//*[@id="node_LocalizeMUSIC_1"]/div[2]'),
        localizeMusicNode_2: xSelector('//*[@id="node_LocalizeMUSIC_2"]'),
        localizeMusicNodeId_2: xSelector('//*[@id="node_LocalizeMUSIC_2"]/div[2]'),
        localizeMusicNode_3: xSelector('//*[@id="node_LocalizeMUSIC_3"]'),
        localizeMusicNodeId_3: xSelector('//*[@id="node_LocalizeMUSIC_3"]/div[2]'),
        localizeMusicNode_4: xSelector('//*[@id="node_LocalizeMUSIC_4"]'),
        localizeMusicNodeId_4: xSelector('//*[@id="node_LocalizeMUSIC_4"]/div[2]'),

        addSheet: xSelector('//*[@id="addSheetButton"]'),
        addSheetDialog: xSelector('//div[@aria-describedby="addSheetDialog"]'),
        addSheetInput: xSelector('//*[@id="addSheetName"]'),
        addSheetBtn: xSelector('//div[@aria-describedby="addSheetDialog"]/div/div/button[1]'),
        sheetTab: xSelector('//*[@id="sheets"]/ul/li/a[text()="Sample"]'),

        addNote: xSelector('/html/body/ul/li/span[text()="Add Note"]'),
        addNoteDialog: xSelector('//div/span[text()="Edit note"]'),
        addNoteOk: xSelector('//div[contains(@aria-describedby, "textCont_note0")]/div[contains(@class, "ui-dialog-buttonpane")]/div/button/span[contains(text(), "OK")]'),
        addNoteOk_1: xSelector('//div[contains(@aria-describedby, "textCont_note1")]/div[contains(@class, "ui-dialog-buttonpane")]/div/button/span[contains(text(), "OK")]'),
        addNoteTextArea: xSelector('//*[@id="textCont_note0"]/textarea'),
        addNoteTextArea_1: xSelector('//*[@id="textCont_note1"]/textarea'),
        clearBtn: xSelector('//*[@id="clear"]')
    }
};