import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import harkdesigner


class PythonNode (harkdesigner.TestHarkDesigner):
    """subnet_params related tests"""
    def setUp(self):
        """ structure
        MAIN (Constant, Test1) -> Test1 (Constant, Test2) -> Test2 (Constant)
        """
        harkdesigner.TestHarkDesigner.setUp(self)
        self.addNode("Constant")
        self.addSheet("Test1")

        self.activateSheet("MAIN")
        self.addNode("Test1")

        self.activateSheet("Test1")
        self.addNode("Constant")
        self.reshape()

        self.activateSheet("MAIN")

    def test_setSubnetParamsAndOK(self):
        # in MAIN
        self.setParamType("node_Constant_1", "VALUE", "subnet_param")

        # in Test1
        self.activateSheet("Test1")
        self.setParamType("node_Constant_2", "VALUE", "subnet_param")

    @unittest.skip("note implemented")
    def test_setSubnetParamsAndCancel(self):
        pass

    @unittest.skip("note implemented")
    def test_changeSubnetParamsName(self):
        pass

    @unittest.skip("note implemented")
    def test_duplicatedSubnetParams(self):
        pass

    @unittest.skip("note implemented")
    def test_duplicateAndUnduplicate(self):
        pass

    @unittest.skip("note implemented")
    def test_nestedSubnetParams(self):
        pass

if __name__ == "__main__":
    unittest.main()
